FMA(3)

NAME
fma, fmaf, fmal - floating-point multiply and add

SYNOPSIS
#include <math.h>

double fma(double x, double y, double z);

float fmaf(float x, float y, float z);

long double fmal(long double x, long double y, long double z);

Link with -lm.

DESCRIPTION
The fma() function computes x * y + z. The result is rounded according to the rounding mode determined by the value of FLT_ROUNDS.

CONFORMING TO
C99

SEE ALSO
remainder(3), remquo(3)